summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Huber <johu@gentoo.org>2017-03-16 19:11:18 +0100
committerJohannes Huber <johu@gentoo.org>2017-03-16 19:11:18 +0100
commit1530d1a646ed99a3491594a315d6fdd2a2ef2c54 (patch)
treeffd5ee63741451ca33e37ba1ccaad31f303fe6a8 /app-text/libwps
parentdev-db/mariadb: ppc64 stable (bug 611316). (diff)
downloadgentoo-1530d1a646ed99a3491594a315d6fdd2a2ef2c54.tar.gz
gentoo-1530d1a646ed99a3491594a315d6fdd2a2ef2c54.tar.bz2
gentoo-1530d1a646ed99a3491594a315d6fdd2a2ef2c54.zip
app-text/libwps: Version bump 0.4.6
Package-Manager: Portage-2.3.4, Repoman-2.3.2
Diffstat (limited to 'app-text/libwps')
-rw-r--r--app-text/libwps/Manifest1
-rw-r--r--app-text/libwps/libwps-0.4.6.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/app-text/libwps/Manifest b/app-text/libwps/Manifest
index c504eba5306..519d273f4f2 100644
--- a/app-text/libwps/Manifest
+++ b/app-text/libwps/Manifest
@@ -1,2 +1,3 @@
DIST libwps-0.4.4.tar.xz 574768 SHA256 b7c564bba7bc9058c524eaf94cb43448832aa03e3d763b98e11ee12d25082df4 SHA512 201b4a7d6788e4193aeff694e25bbda78678126b654907f4d20783afa343a069d7f6c12344b261496434df4fd1f3df933881a5ed5358f330cd15568c8710963d WHIRLPOOL de32feb8721771a5058b283b5dd6a59e005db1e53a8539c5e1268540cf3e9f5d0353babafcb42e82aade103dd1efc0834f0a80d7b3e995a8d5464ffbc0f538b7
DIST libwps-0.4.5.tar.xz 588948 SHA256 8e175ab9339d447a285a1533bfdc405432b9a275e4f3a98690ffaf12fe7f4d4a SHA512 bed70efbd51bc18891e901810eba72e3b21050cde6ac170589cc0e55fb8cbef44de4be7b7ec657895715efaa30fb0ad1b6032cf507ca969d31cc03cc96973a94 WHIRLPOOL 91948ede9976c9d62865c76a93bc8779b14d9438dd5d64fd8f8d6fd98abe9bb748d19e0509c88b7f6d47770d5ce62c1e8ccb9a2281963166b4e93f465079a78c
+DIST libwps-0.4.6.tar.xz 592276 SHA256 e48a7c2fd20048a0a8eaf69bad972575f8b9f06e7497c787463f127d332fccd0 SHA512 00d1d9108f405cb5eeb67985057f0c6a5d9dd8ef9c3daeebb6739e10a38a5db7cbf22a9e4d09684452376896009993ba08cb015ec0616b56c222244d87a3241e WHIRLPOOL 31198a1889148c87357c0411cd7c28c75de69048ed9c589e98c8a9f866a18295a6d572308966bc1173f207499616bcd1e87eb48bbbec5193fef36228a23ca5c5
diff --git a/app-text/libwps/libwps-0.4.6.ebuild b/app-text/libwps/libwps-0.4.6.ebuild
new file mode 100644
index 00000000000..93c2ec4fbaa
--- /dev/null
+++ b/app-text/libwps/libwps-0.4.6.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Microsoft Works file word processor format import filter library"
+HOMEPAGE="https://sourceforge.net/p/libwps/wiki/Home/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~x86"
+IUSE="doc debug static-libs tools"
+
+RDEPEND="
+ dev-libs/librevenge
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_configure() {
+ econf \
+ --disable-werror \
+ --with-sharedptr=c++11 \
+ $(use_enable debug) \
+ $(use_with doc docs) \
+ $(use_enable static-libs static) \
+ $(use_enable tools)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}